Subject: bug#1305: All code that currently beeps should use visual bellinstead

From: "Lennart Borgman" <[email-masked]>
Date: Mon, 10 Nov 2008 09:34:10 +0100

On Mon, Nov 10, 2008 at 3:07 AM, Stefan Monnier
<[email-masked]> wrote:
>> No, that's not the intent.  The intent is to make the visible bell the
>> default.  To turn it off, you turn off visible-bell, which makes Emacs
>> beep again, and then turn off the speakers.
>
> Indeed.  A good reason to use visible-bell by default is that we have no
> guarantee that the bell can actually be heard (e.g. I usually turn it
> off because I usually consider that a computer should be as close to
> silent as possible, except when I specifically ask otherwise (.e.g
> listing to music or whatching a video)).
>
> The other reason is that the beep can annoy other people than the user,
> whereas the visible-bell is very unlikely to annoy other people than the
> user herself.

But there has been some messages telling that having it on by default
is good for visually impaired people.